<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:c="http://java.sun.com/jstl/core"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml">
    <dl class="dl-horizontal">
        <dt>#{messages['net.ihe.gazelle.patientmanager.Criteria']}</dt>
        <dd>
            <h:link value="#{testDataListManager.getTestDataIdentifier(currentTD)}"
                    outcome="#{testDataListManager.getLinkToDetailedTestData(currentTD)}"/>
        </dd>
        <dt>#{messages['net.ihe.gazelle.patientmanager.UseXUA_2']}</dt>
        <dd>
            <h:outputText value="#{messages['net.ihe.gazelle.simulator.hl7.No']}" rendered="#{currentTD.credentials == null}"/>
            <h:outputText value="#{messages['gazelle.simulator.pam.Yes']} (#{currentTD.credentials.label})" rendered="#{currentTD.credentials != null}"/>
        </dd>
        <dt>#{messages['net.ihe.gazelle.patientmanager.RestrictDomain']}</dt>
        <dd>
            <h:outputText value="#{messages['net.ihe.gazelle.simulator.hl7.No']}" rendered="#{empty currentTD.restrictedDomain}"/>
            <rich:list value="#{currentTD.restrictedDomain}" var="dom"
                       rendered="#{not empty currentTD.restrictedDomain }">
                <h:outputText value="#{dom.toString()}"/>
            </rich:list>
        </dd>
        <dt>#{messages['net.ihe.gazelle.patientmanager.DeferredOption']}</dt>
        <dd>
            <h:outputText value="#{messages['net.ihe.gazelle.simulator.hl7.No']}" rendered="#{not currentTD.deferredOption}"/>
            <h:outputText value="#{messages['gazelle.simulator.pam.Yes']}" rendered="#{currentTD.deferredOption}"/>
        </dd>
        <dt>#{messages['net.ihe.gazelle.patientmanager.ResponseFormat']}</dt>
        <dd>
            <h:outputText value="#{currentTD.fhirReturnType.label}" rendered="#{currentTD.fhirReturnType != null}"/>
            <h:outputText value="#{messages['gazelle.simulator.pam.NA']}" rendered="#{currentTD.fhirReturnType == null}"/>
        </dd>
    </dl>
</ui:composition>